= Mathematical expressions.

It is now possible to use xref:unlang/expression.adoc[expressions] inside of xref:unlang/condition/index.adoc[conditions].

.Syntax
[source,unlang]
----
if (&NAS-Port + 1 == 2 + 3) {
    ...
}
----

There is no longer any need to use the `%{expr:...}` expansion inside
of a condition.  You can just use the math in-place.

See the main xref:unlang/expression.adoc[expressions] page for a list
of supported operators.  In short, mathematical operations will work,
and will do what you expect.

// Copyright (C) 2022 Network RADIUS SAS.  Licenced under CC-by-NC 4.0.
// This documentation was developed by Network RADIUS SAS.
